Subject: Re: [RFC net-next v2 5/5] net: phy: nxp-c45-tja11xx: implement mdo_insert_tx_tag

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 1 Sep 2023 10:27:14 +0100

On Fri, Sep 01, 2023 at 09:09:06AM +0000, Radu Pirea wrote:
> On Wed, 2023-08-30 at 13:35 +0200, Sabrina Dubroca wrote:
> ...
> 
> > And it's not restored when the link goes back up? That's inconvenient
> > :/
> > Do we end up with inconsistent state? ie driver and core believe
> > everything is still offloaded, but HW lost all state? do we leak
> > some resources allocated by the driver?
> 
> Yes. We end up with inconsistent state. The HW will lost all state when
> the phy is reseted. No resource is leaked, everything is there, but the
> configuration needs to be reapplied.

If it's happening because the PHY is being re-attached from the network
driver, then wouldn't it be a good idea to synchronise the hardware
state with the software configuration in the ->config_init function?

Presumably the hardware state is also lost when resuming from suspend
as well? If so, that'll also fix that issue as well.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!